<script type="text/javascript">
var app = angular.module('app', []);

app.controller('FormController', ['$http', function ($http){
  var self = this;

  // URL отправки формы
  var targetUrl = '{{ targetUrl }}';

  // Исходные данные
  self.initial = {{ initial|length ? initial.data|json_encode()|raw : '{}' }};

  // Данные справочника
  self.dict = {{ dictionary|length ? dictionary.data|json_encode()|raw : '{}' }};

  // Сообщения
  self.messageSuccess = null;
  self.messageError = null;

  // Обработка отправки формы
  self.submit = function(){
    self.messageSuccess = null;
    self.messageError = null;
    $http({
      method: 'POST',
      url: targetUrl,
      data: self.initial
    }).then(function (response) {
      if (response.data.status) {
        self.messageSuccess = response.data.message;
      } else {
        self.messageError = response.data.message;
      }
    }, function (response) {
      self.messageError = 'HTTP ' + response.status + ': ' + response.statusText;
    });
  };

  {% block javascript %}{% endblock %}
}]);
</script>

<div ng-app="app" ng-controller="FormController as self">
  <div class="callout alert" ng-bind="self.messageError" ng-class="self.messageError ? '' : 'hide'"></div>
  <div class="callout primary" ng-bind="self.messageSuccess" ng-class="self.messageSuccess ? '' : 'hide'"></div>

  {% block html %}{% endblock %}

  <button type="button" class="button primary" ng-click="self.submit()">Сохранить</button>
</div>


<script type="text/javascript">
  $('.mask_percent').mask('0,0#', {reverse: true});
</script>